oxigraph-backup(1)

NAME
oxigraph-backup - Create a database backup into a target directory

SYNOPSIS
oxigraph backup <-l|--location> <-d|--destination> [-h|--help]

DESCRIPTION
Create a database backup into a target directory

After its creation, the backup is usable a separated Oxigraph database and operates independently from the original database.

If the target directory is in the same file system as the current database, the database content will not be fully copied but hard links will be used to point to the original database immutable snapshots. This allows cheap regular backups.

If you want to move your data to another RDF storage system, you should use the dump operation instead.

OPTIONS

-l, --location=LOCATION
    Directory in which Oxigraph data are persisted

-d, --destination=DESTINATION
    Directory in which the backup will be written

-h, --help
    Print help (see a summary with '-h')